Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519738 - [RFE] Post announcement banner on console landing page
Summary: [RFE] Post announcement banner on console landing page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: shahan
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 10:55 UTC by Bruno Andrade
Modified: 2018-05-09 00:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-25 19:22:39 UTC


Attachments (Terms of Use)

Description Bruno Andrade 2017-12-01 10:55:02 UTC
1. Why exactly do you need this feature? (List the business requirements here)

Having an announcement banner on the console landing page is beneficial to let Openshift console users know of upcoming maintenance windows on the cluster. This ability comes as a standard to most utilities.

2. How would you like to achieve this? (List the functional requirements here)

An ability to enable announcement banner and post messages on the console landing page.

3. Do you have any specific timeline dependencies?

No

4. Would you be able to assist in testing this functionality if implemented?

Yes

Comment 1 Jessica Forrester 2017-12-01 17:44:05 UTC
The subject line says "login page" but your description says "landing page".  Which do you actually mean?

The login page is already fully customizable, you could do whatever you want in that.

Comment 3 Jessica Forrester 2017-12-01 20:07:26 UTC
We have space for a system status badge in the nav bar already, that is what we use for OpenShift Online. It's basically just a warning triangle in the top nav bar that you can then link to a system status page.  Would something like that be sufficient? Or does it need to be a full inline banner?

Comment 4 Bruno Andrade 2017-12-01 21:18:57 UTC
(In reply to Jessica Forrester from comment #3)
> We have space for a system status badge in the nav bar already, that is what
> we use for OpenShift Online. It's basically just a warning triangle in the
> top nav bar that you can then link to a system status page.  Would something
> like that be sufficient? Or does it need to be a full inline banner?

Would be sufficient. Thank you

Comment 5 Jessica Forrester 2017-12-01 21:22:51 UTC
OK we will look into making that a generally supported extension and documenting it.

Comment 6 Jessica Forrester 2017-12-04 15:01:55 UTC
@rhamilto could you write up docs for our system status badge, might need to clean up the online example to remove the statuspage.io refs

Comment 8 Robb Hamilton 2017-12-06 17:24:50 UTC
PR to resolve:  https://github.com/openshift/openshift-docs/pull/6615

Comment 9 Jessica Forrester 2018-01-11 16:09:23 UTC
Moving this to the docs component since it was solely a docs fix. I'm not sure what the correct bug state is for this.

Comment 10 shahan 2018-01-16 03:05:56 UTC
PR:https://github.com/openshift/openshift-docs/pull/6615 looks good to me. Thanks,change status to verified.


Note You need to log in before you can comment on or make changes to this bug.